// pages/index/components/history/HistoryList.js
Component({

  properties: {
    histories: {
      type: Array,
      observer: function (list) {
        console.log('histories')
        console.log(list)
      }
    }
  },

  data: {
    currentPidx: -1,
    currentIdx: -1,
    src: ""
  },

  methods: {
    selectAudio: function(e) {
      const dataset = e.currentTarget.dataset
      const src = this.data.histories[dataset.pid]['answers'][dataset.id]['studentAnswer'] + "?t=" + new Date().getTime()
      this.setData({
        currentPidx: dataset.pid,
        currentIdx: dataset.id,
        src: src
      })
      console.log(this.data)
    }
  },

  attached() {
    const that = this
    this.setData({
      src: ""
    })
    console.log("history attached")

    const player = this.selectComponent('.player')
    if (player) {
      player.audioCallback(function (src) {
        that.setData({
          currentPidx: 0,
          currentIdx: 0,
          src: ''
        })
        console.log('player bind failed', src)
      })
    }
  },

  detached() {
    console.log("detached")
  }
})